Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class Checklist

    java.lang.Object
      com.sun.interview.Checklist

    public class Checklist

extends java.lang.Object

A Checklist is a sorted collection of messages, for the purpose of providing a list of actions that must be performed in association with a completed interview. Messages are grouped into sections, which are sorted alphabetically; within a section, messages are stored in the order they are added.

Nested Class Summary
`static class` | `Checklist.Item` An Item contains a message to appear in a checklist.

Constructor Summary
`Checklist()` Create an empty checklist.

Method Summary
`void` | `add(Checklist.Item item)` Add a new item to this checklist.
`java.lang.String[]` | `getSectionMessages(java.lang.String sectionName)` Get the messages in a specific section of this checklist.
`java.lang.String[]` | `getSectionNames()` Get the names of the sections for which entries have been added to the checklist.
`boolean` | `isEmpty()` Determine whether or not any items have been added to the checklist.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Checklist

    public Checklist()

  Create an empty checklist.

Method Detail

### getSectionNames

    public java.lang.String[] getSectionNames()

  Get the names of the sections for which entries have been added to the checklist.

  Returns:
    an array containing the names of the sections for which entries have been added to the checklist

### getSectionMessages

    public java.lang.String[] getSectionMessages(java.lang.String sectionName)

  Get the messages in a specific section of this checklist.

  Parameters:
    `sectionName` - the name of the section for which the iterator should return messages
  Returns:
    an array containing the messages in a specific section of this checklist, or null if no messages have been added for the given section

### add

    public void add(Checklist.Item item)

  Add a new item to this checklist.

  Parameters:
    `item` - The Item to be added

### isEmpty

    public boolean isEmpty()

  Determine whether or not any items have been added to the checklist.

  Returns:
    true if the checklist has no entries, and false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.